---------------------
PatchSet 5001 
Date: 2002/09/16 22:58:17
Author: rbcollins
Branch: fixrange
Tag: (none) 
Log:
provide an initialiser for StoreIOBuffer, and an offset member

Members: 
	src/Makefile.am:1.25->1.25.2.1 
	src/StoreIOBuffer.h:1.1.2.2->1.1.2.3 
	src/client_side_reply.c:1.4.6.8->1.4.6.9 
	src/store_client.c:1.14.2.6->1.14.2.7 
	src/store_swapin.c:1.6.14.5->1.6.14.6 

Index: squid/src/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Makefile.am,v
retrieving revision 1.25
retrieving revision 1.25.2.1
diff -u -r1.25 -r1.25.2.1
--- squid/src/Makefile.am	15 Sep 2002 11:06:29 -0000	1.25
+++ squid/src/Makefile.am	16 Sep 2002 22:58:17 -0000	1.25.2.1
@@ -58,6 +58,8 @@
 WIN32SOURCE = 
 endif
 
+AM_CFLAGS = -Werror -Wall
+
 SUBDIRS		= fs repl auth
 
 INCLUDES        = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
Index: squid/src/StoreIOBuffer.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/StoreIOBuffer.h,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/src/StoreIOBuffer.h	16 Sep 2002 22:47:56 -0000	1.1.2.2
+++ squid/src/StoreIOBuffer.h	16 Sep 2002 22:58:17 -0000	1.1.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: StoreIOBuffer.h,v 1.1.2.2 2002/09/16 22:47:56 rbcollins Exp $
+ * $Id: StoreIOBuffer.h,v 1.1.2.3 2002/09/16 22:58:17 rbcollins Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -41,7 +41,10 @@
 	int error:1;
     } flags;
     size_t length;
+    off_t offset;
     char *data;
 };
 
+#define EMPTYIOBUFFER {{0},0,0,NULL}
+
 #endif /* SQUID_STOREIORESULT_H */
Index: squid/src/client_side_reply.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/client_side_reply.c,v
retrieving revision 1.4.6.8
retrieving revision 1.4.6.9
diff -u -r1.4.6.8 -r1.4.6.9
--- squid/src/client_side_reply.c	16 Sep 2002 22:52:02 -0000	1.4.6.8
+++ squid/src/client_side_reply.c	16 Sep 2002 22:58:17 -0000	1.4.6.9
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side_reply.c,v 1.4.6.8 2002/09/16 22:52:02 rbcollins Exp $
+ * $Id: client_side_reply.c,v 1.4.6.9 2002/09/16 22:58:17 rbcollins Exp $
  *
  * DEBUG: section 88    Client-side Reply Routines
  * AUTHOR: Robert Collins (Originally Duane Wessels in client_side.c)
@@ -381,7 +381,7 @@
 	 * 304, so put the good one back.  First, make sure the old entry
 	 * headers have been loaded from disk. */
 	clientStreamNode *next = context->http->client_stream.head->next->data;
-	StoreIOBuffer tempresult;
+	StoreIOBuffer tempresult = EMPTYIOBUFFER;
 	oldentry = http->old_entry;
 	http->logType = LOG_TCP_REFRESH_HIT;
 	if (oldentry->mem_obj->request == NULL) {
@@ -410,7 +410,7 @@
 	clientSendMoreData(context, tempresult);
     } else {
 	/* the client can handle this reply, whatever it is */
-	StoreIOBuffer tempresult;
+	StoreIOBuffer tempresult = EMPTYIOBUFFER;
 	http->logType = LOG_TCP_REFRESH_MISS;
 	if (HTTP_NOT_MODIFIED == mem->reply->sline.status) {
 	    httpReplyUpdateOnNotModified(http->old_entry->mem_obj->reply,
Index: squid/src/store_client.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_client.c,v
retrieving revision 1.14.2.6
retrieving revision 1.14.2.7
diff -u -r1.14.2.6 -r1.14.2.7
--- squid/src/store_client.c	16 Sep 2002 22:47:56 -0000	1.14.2.6
+++ squid/src/store_client.c	16 Sep 2002 22:58:17 -0000	1.14.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_client.c,v 1.14.2.6 2002/09/16 22:47:56 rbcollins Exp $
+ * $Id: store_client.c,v 1.14.2.7 2002/09/16 22:58:17 rbcollins Exp $
  *
  * DEBUG: section 20    Storage Manager Client-Side Interface
  * AUTHOR: Duane Wessels
@@ -146,7 +146,7 @@
 {
     STCB *callback = sc->callback;
     void *cbdata;
-    StoreIOBuffer result = {{0}, sz, sc->copy_buf};
+    StoreIOBuffer result = {{0}, sz, 0, sc->copy_buf};
     if (sz < 0)
 	result.flags.error = 1;
     assert(sc->callback);
Index: squid/src/store_swapin.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_swapin.c,v
retrieving revision 1.6.14.5
retrieving revision 1.6.14.6
diff -u -r1.6.14.5 -r1.6.14.6
--- squid/src/store_swapin.c	16 Sep 2002 22:47:56 -0000	1.6.14.5
+++ squid/src/store_swapin.c	16 Sep 2002 22:58:17 -0000	1.6.14.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_swapin.c,v 1.6.14.5 2002/09/16 22:47:56 rbcollins Exp $
+ * $Id: store_swapin.c,v 1.6.14.6 2002/09/16 22:58:17 rbcollins Exp $
  *
  * DEBUG: section 20    Storage Manager Swapin Functions
  * AUTHOR: Duane Wessels
@@ -71,7 +71,7 @@
 storeSwapInFileClosed(void *data, int errflag, storeIOState * sio)
 {
     store_client *sc = data;
-    StoreIOBuffer result = {{0},0, sc->copy_buf};
+    StoreIOBuffer result = {{0},0, 0, sc->copy_buf};
     STCB *callback;
     debug(20, 3) ("storeSwapInFileClosed: sio=%p, errflag=%d\n",
 	sio, errflag);
